/*@@@@@@@@@@@@@@@@@@@@@@@@@@@ utilities.h @@@@@@@@@@@@@@@@@@@@@@@@@@@@@
 Random Option Pricing
 Summer 2002
 Authors: A. Korobchevsky
          S. Ferrando
 Ryerson University ALL RIGHTS RESERVED
 
 Purpose: Declares all utility functions required for the application 
 @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*/




#ifndef _UTIL_H__
#define _UTIL_H__

#include <cmath>

#define MAX(x, y) ((x > y) ? x : y)
#define MIN(x, y) ((x < y) ? x : y)

double cumulative(double);
double NDApproximationProbability(double, int, int);
long factorial(int);
long combinations(int, int);
double directProbability(double, int, int);
void permutePath(int *,int);
double logProbability(double, int, int);




#endif
